
ALTER TABLE doc_subtipoDocumento_atributo
ALTER COLUMN subtipoDocumento_atributo varchar(8000)

GO
/****** Object:  StoredProcedure [dbo].[ins_doc_subtipoDocumento_atributo]    Script Date: 10/26/2015 11:01:58 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[ins_doc_subtipoDocumento_atributo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_subtipoDocumento_atributo varchar(8000),
		@p_id_subtipoDocumento int,
		@p_id_atributo int,
		@p_orden int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_subtipoDocumento_atributo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[subtipoDocumento_atributo],
			[id_subtipoDocumento],
			[id_atributo],
			[orden])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_subtipoDocumento_atributo,
			@p_id_subtipoDocumento,
			@p_id_atributo,
			@p_orden)
		SET @v_id = scope_identity()
UPDATE [doc_subtipoDocumento_atributo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END

GO
ALTER PROCEDURE [dbo].[upd_doc_subtipoDocumento_atributo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_subtipoDocumento_atributo varchar(8000) = null,
		@p_id_subtipoDocumento int = null,
		@p_id_atributo int = null,
		@p_orden int = null
AS
BEGIN
		UPDATE [doc_subtipoDocumento_atributo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[subtipoDocumento_atributo] = isnull(@p_subtipoDocumento_atributo,[subtipoDocumento_atributo]),
			[id_subtipoDocumento] = isnull(@p_id_subtipoDocumento,[id_subtipoDocumento]),
			[id_atributo] = isnull(@p_id_atributo,[id_atributo]),
			[orden] = isnull(@p_orden,[orden])
		WHERE (id = @p_id)
END

GO

